@echo off

rem 依存ライブラリの個別インストール
cd /d %~dp0\dependencies
call mvn install:install-file -Dfile=mockrunner-0.3.7.jar -DgroupId=com.mockrunner -DartifactId=mockrunner -Dversion=0.3.7 -Dpackaging=jar -DgeneratePom=true -DcreateChecksum=true
call mvn install:install-file -Dfile=terasoluna-unit-2.0.0.0.jar -DgroupId=jp.terasoluna.fw.lib -DartifactId=terasoluna-unit -Dversion=2.0.0.0 -Dpackaging=jar -Dsource=terasoluna-unit-2.0.0.0-sources.jar -DgeneratePom=true -DcreateChecksum=true
call mvn install:install-file -Dfile=terasoluna-unit-2.1.0.jar -DgroupId=jp.terasoluna.fw.lib -DartifactId=terasoluna-unit -Dversion=2.1.0 -Dpackaging=jar -Dsource=terasoluna-unit-2.1.0-sources.jar -Djavadoc=terasoluna-unit-2.1.0-javadoc.jar -DgeneratePom=true -DcreateChecksum=true
call mvn install:install-file -Dfile=terasoluna-utlib-1.3.0.jar -DgroupId=jp.terasoluna.utlib -DartifactId=terasoluna-utlib -Dversion=1.3.0 -Dpackaging=jar -DgeneratePom=true -DcreateChecksum=true
call mvn install:install-file -Dfile=terasoluna-utlib-spring-1.1.0.jar -DgroupId=jp.terasoluna.utlib -DartifactId=terasoluna-utlib-spring -Dversion=1.1.0 -Dpackaging=jar -DgeneratePom=true -DcreateChecksum=true
call mvn install:install-file -Dfile=ojdbc5.jar -DgroupId=com.oracle -DartifactId=ojdbc5 -Dversion=11.1.0 -Dpackaging=jar -DgeneratePom=true -DcreateChecksum=true
call mvn install:install-file -Dfile=djunit.jar -DgroupId=jp.co.dgic -DartifactId=djunit -Dversion=0.8.5 -Dpackaging=jar -DgeneratePom=true -DcreateChecksum=true
call mvn install:install-file -Dfile=jcoverage-djunit-1.0.5.jar -DgroupId=jcoverage -DartifactId=jcoverage -Dversion=djunit-1.0.5 -Dpackaging=jar -DgeneratePom=true -DcreateChecksum=true

rem TERASOLUNA関連モジュールのインストール

set MODULES=terasoluna-commons
set MODULES=%MODULES% terasoluna-dao
set MODULES=%MODULES% terasoluna-ibatis
set MODULES=%MODULES% terasoluna-filedao
set MODULES=%MODULES% terasoluna-validator
set MODULES=%MODULES% terasoluna-logger
set MODULES=%MODULES% terasoluna-batch-update
set MODULES=%MODULES% terasoluna-collector
set MODULES=%MODULES% terasoluna-batch

for %%d in (%MODULES%) do echo install %%d && cd /d %~dp0\%%d && call mvn install -Dtarget=1.5 -Dmaven.test.skip=true
cd %~dp0

pause